Subject: How to dump D-cache

From: Shawn Jin <[email-masked]>
Date: Thu, 15 Sep 2005 17:00:06 -0700

Hi,

The instruction dcread is used to read data cache. The syntax is
dcread RT,RA,RB. The effective address is formed by adding RA to RB.
In order to read a specific cache line or the whole d-cache, how do I
know the effective addresses correponding to the cache line(s)? The
processor is ppc440.

Thanks,
-Shawn.